> For the complete documentation index, see [llms.txt](https://docs.wemix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wemix.com/en/dapp-developer/api-reference/transaction-apis.md).

# Transaction APIs

### Check contract execution status (if there was an error during contract execution)

#### URI

<table data-header-hidden><thead><tr><th width="121"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/transactions/{transaction_hash}/transaction-status</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/transactions/{transaction_hash}/transaction-status</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

* **PATH VARIABLE**

| **key**             | **type** | **value**        | **required** |
| ------------------- | -------- | ---------------- | ------------ |
| *transaction\_hash* | String   | transaction hash | true         |

#### **REQUEST SAMPLE**

```
GET https://explorerapi.wemix.com/v1/transactions/0x83236e5bf7ea6cfdac4dd5114f9440e40d056af22eed751bcf620d004e64337a/transaction-status 
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f435391
```

#### **RESPONSE  PARAMETER**

| **key**                    | **type**      | **value**                                                                                                                                                                                                                                      |
| -------------------------- | ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *status*                   | String        | Status of request                                                                                                                                                                                                                              |
| *message*                  | String        | Response Message of request                                                                                                                                                                                                                    |
| *reuslts*                  | Json          | Results of request                                                                                                                                                                                                                             |
| *reuslts.data*             | List\<Object> | List of data                                                                                                                                                                                                                                   |
| *results.data.status*      | Integer       | Identify if the transaction is an error or not                                                                                   - 0: Error                                                                                       - 1: Success |
| *results.data.description* | String        | Message to add more information about the error                                                                                                                                                                                                |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "data": {
            "status": "1"
        }
    }
}
```

### Check transaction receipt status (Only applicable for Post Byzantium fork transactions)

#### URI

<table data-header-hidden><thead><tr><th width="131"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/transactions/{transaction_hash}/receipt-status</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/transactions/{transaction_hash}/receipt-status</td></tr></tbody></table>

**REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

* **PATH VARIABLE**

| **key**             | **type** | **value**        | **required** |
| ------------------- | -------- | ---------------- | ------------ |
| *transaction\_hash* | String   | transaction hash | true         |

#### REQUEST SAMPLE

```
GET https://explorerapi.wemix.com/api/ext/v1/transactions/0x83236e5bf7ea6cfdac4dd5114f9440e40d056af22eed751bcf620d004e64337a/receipt-status
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**               | **type**      | **value**                                                                                                                                                                                                                                                                                                                                                       |
| --------------------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *status*              | String        | Status of request                                                                                                                                                                                                                                                                                                                                               |
| *message*             | String        | Response Message of request                                                                                                                                                                                                                                                                                                                                     |
| *reuslts*             | Json          | Results of request                                                                                                                                                                                                                                                                                                                                              |
| *reuslts.data*        | List\<Object> | List of data                                                                                                                                                                                                                                                                                                                                                    |
| *results.data.status* | String        | Identify when the receipt of transaction is available                                                                                                                                                                          - 0: Not available(exists transaction)                                                                            - 1: Available |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "data": {
            "status": "1"
        }
    }
}
```

### Get "Internal Transactions" by transaction hash

#### **URI**

<table><thead><tr><th width="124"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/transactions/{transaction_hash}/internal-transactions</td></tr><tr><td><em>Testnet</em></td><td>GET https://microscopeapi.test.wemix.com/v1/transactions/{transaction_hash}/internal-transactions</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api key   | true         |

* **PATH VARIABLE**

| **key**         | **type** | **value**                                | **required** |
| --------------- | -------- | ---------------------------------------- | ------------ |
| *address\_hash* | String   | <ul><li>Address of transaction</li></ul> | true         |

* **QUERY STRING**

| **key** | **type** | **value**                                                                           | **required** |
| ------- | -------- | ----------------------------------------------------------------------------------- | ------------ |
| *limit* | Integer  | Maximum number of record will retrieve           Default: 50, Max: 1000             | false        |
| *input* | Boolean  | Include input data                                                   Default: false | false        |

#### REQUEST SAMPLE

```
GET https://explorerapi.wemix.com/v1/transactions/0xcf26b25dd7ce714615ea1a6aac0c7fe3d10372b2ecce243178875d43d76d3701/internal-transactions?input=true
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
```

#### **RESPONSE PARAMETER**

| **key**                           | **type**      | **value**                                                                                                                                                                                     |
| --------------------------------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *status*                          | String        | Status of request                                                                                                                                                                             |
| *message*                         | String        | Response Message of request                                                                                                                                                                   |
| *results*                         | Json          | Results of request                                                                                                                                                                            |
| *results.count*                   | String        | Total count of data                                                                                                                                                                           |
| *results.data*                    | List\<Object> | List of data                                                                                                                                                                                  |
| *results.data.timestamp*          | String        | UTC time when the transaction occurred                                                                                                                                                        |
| *results.data.sender*             | String        | Address of sender                                                                                                                                                                             |
| *results.data.receiver*           | String        | Address of receiver                                                                                                                                                                           |
| *results.data.value*              | String        | Value of internal transaction                                                                                                                                                                 |
| *results.data.status*             | String        | Status of internal transaction                                                   - 0: Failed,                                                                               - 1: Success      |
| *results.data.message*            | String        | Message of internal transaction                                                                                                                                                               |
| *results.data.transaction\_hash*  | String        | Hash value of the transaction                                                                                                                                                                 |
| *results.data.block\_number*      | String        | Block height                                                                                                                                                                                  |
| *results.data.contract\_address*  | String        | Address of contract creation if this is create contract transaction                                                                                                                           |
| *results.data.trace\_address*     | List\<String> | Trace mapping information                                                                                                                                                                     |
| *results.data.trace\_type*        | String        | Type of trace: call, delegatecall, codecall, staticcall, selfdestruct                                                                                                                         |
| *results.data.sub\_traces*        | String        | Number of sub traces from this internal transaction                                                                                                                                           |
| *results.data.transaction\_index* | String        | Index of the transaction on the block                                                                                                                                                         |
| *results.data.gas\_used*          | String        | Total amount of Gas used transactions                                                                                                                                                         |
| *results.data.gas\_limit*         | String        | Limit of gas for executing the transaction                                                                                                                                                    |
| *results.data.external\_receiver* | String        | Whether external receive has occurred                                    - false: external transaction exists                                     - true: external transaction does not exist |
| results.data.input                | String        | Input parameters used when executing a transaction                                                                                                                                            |

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "19",
        "data": [
            {
                "timestamp": "2023-06-23T08:22:24Z",
                "sender": "0xde6ed165a256d3b7a478a3855daa63c18ef2b032",
                "receiver": "0x64817f0077bb6ed63d22c09ce167aa197a5e518a",
                "value": "0",
                "status": "1",
                "message": null,
                "transaction_hash": "0xcf26b25dd7ce714615ea1a6aac0c7fe3d10372b2ecce243178875d43d76d3701",
                "block_number": "21273859",
                "contract_address": null,
                "trace_address": [
                    "0",
                    "1",
                    "1",
                    "1",
                    "1",
                    "1"
                ],
                "trace_type": "delegatecall",
                "sub_traces": null,
                "transaction_index": "1",
                "gas_used": "489",
                "gas_limit": "26410",
                "external_receiver": false
            },
            ...
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wemix.com/en/dapp-developer/api-reference/transaction-apis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
